module GifterHub
  class GiftCard < ApiResource
    extend Operations::Create

    def redeem(params)
      response = request(:post, resource_url + '/redeem', params)
      initialize_from(response)
    end

    def topup(params)
      response = request(:post, resource_url + '/topup', params)
      initialize_from(response)
    end

    def transactions(params={})
      request(:get, resource_url + '/transactions', params)
    end
  end
end