module GifterHub
  module Operations
    module Get
      module ClassMethods
        def request(method, url, params={}, opts={})
          GifterHub.request(method, url, params, opts)
        end
      end

      def self.included(base)
        base.extend(ClassMethods)
      end

      protected

      def request(method, url, params={}, opts={})
        opts = @opts.merge(opts)
        self.class.request(method, url, params, opts)
      end
    end
  end
end